Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024487
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-08-05 19:222013-08-23 11:30
ReporterguilleaerView Statuspublic 
Assigned Tosureshbabu 
PrioritynormalResolutionfixedFixed in VersionRMP26
StatusclosedFix in branchpiFixed in SCM revisionf81709bb61d0
ProjectionnoneETAnoneTarget VersionRMP26
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024487: [MULTI] Error when coming back to web POS from Cash up with a ticket with lines

DescriptionAn error is shown when you return to pointofsale window from other window (cashup)
Steps To Reproduce1. create a ticket
2. add a line to a ticket
3. navigate to cash up
4. Cancel cash up (Return to point of sale)
5. An uncaught error is shown
Proposed SolutionThis problem is happening because we are executing "on" for each navigation to posterminal.

To solve it we should reset the listeners before add the new ones
TagsNo tags attached.
Attached Filespng file icon Uncaught type error appears, while reloadng the receipt after cancelling the cash up process.png [^] (186,654 bytes) 2013-08-23 06:59

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060506)
hgbot (developer)
2013-08-05 19:24

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f81709bb61d0aa48e87ffc5b554f02229bce8eb8
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Aug 05 19:23:33 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f81709bb61d0aa48e87ffc5b554f02229bce8eb8 [^]

fixed issue 24487: No error is raised when returning to pointofsale window.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0060530)
hgbot (developer)
2013-08-07 14:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ce65709c07856d0bc8671d2adcfaf59bf948ecd4
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Aug 07 14:17:31 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ce65709c07856d0bc8671d2adcfaf59bf948ecd4 [^]

related to issue 24487: Is not needed to create a new instance of the object

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
---
(0060531)
hgbot (developer)
2013-08-07 14:51

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fa685d7cbf21e06ca779d1504692cc50c614afe6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Aug 07 14:50:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa685d7cbf21e06ca779d1504692cc50c614afe6 [^]

related to issue 24487: just do off when is needed

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0060738)
sureshbabu (reporter)
2013-08-23 06:59

I can able to reproduce the issue in RMP26 test instance.
(0060744)
guilleaer (developer)
2013-08-23 11:30

reresolved. Suresh reopened it accidentally
(0060745)
guilleaer (developer)
2013-08-23 11:30

reclosed. Suresh reopened it accidentally

- Issue History
Date Modified Username Field Change
2013-08-05 19:22 guilleaer New Issue
2013-08-05 19:22 guilleaer Assigned To => guilleaer
2013-08-05 19:22 guilleaer Triggers an Emergency Pack => No
2013-08-05 19:24 hgbot Checkin
2013-08-05 19:24 hgbot Note Added: 0060506
2013-08-05 19:24 hgbot Status new => resolved
2013-08-05 19:24 hgbot Resolution open => fixed
2013-08-05 19:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f81709bb61d0aa48e87ffc5b554f02229bce8eb8 [^]
2013-08-07 14:23 hgbot Checkin
2013-08-07 14:23 hgbot Note Added: 0060530
2013-08-07 14:51 hgbot Checkin
2013-08-07 14:51 hgbot Note Added: 0060531
2013-08-20 16:33 marvintm Review Assigned To => marvintm
2013-08-20 16:33 marvintm Status resolved => closed
2013-08-20 16:33 marvintm Fixed in Version => RMP26
2013-08-23 06:59 sureshbabu Note Added: 0060738
2013-08-23 06:59 sureshbabu Status closed => new
2013-08-23 06:59 sureshbabu Resolution fixed => open
2013-08-23 06:59 sureshbabu Fixed in Version RMP26 =>
2013-08-23 06:59 sureshbabu File Added: Uncaught type error appears, while reloadng the receipt after cancelling the cash up process.png
2013-08-23 10:05 sureshbabu Assigned To guilleaer => sureshbabu
2013-08-23 11:29 guilleaer Status new => scheduled
2013-08-23 11:29 guilleaer fix_in_branch => pi
2013-08-23 11:30 guilleaer Note Added: 0060744
2013-08-23 11:30 guilleaer Status scheduled => resolved
2013-08-23 11:30 guilleaer Fixed in Version => RMP26
2013-08-23 11:30 guilleaer Resolution open => fixed
2013-08-23 11:30 guilleaer Note Added: 0060745
2013-08-23 11:30 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker